import os, sys
from setuptools import setup

with open(os.path.join(os.path.dirname(__file__), 'README.rst')) as readme:
    README = readme.read()

# allow setup.py to be run from any path
os.chdir(os.path.normpath(os.path.join(os.path.abspath(__file__), os.pardir)))

setup(
    name='django-stackexchange-feed',
    version='0.11',
    packages=['stackfeed'],
    include_package_data=True,
    license='BSD License',  # example license
    description='TEST',
    long_description=README,
    url='http://www.example.com/',
    author='Michael John Robb',
    author_email='michael.robb.prog@gmail.com',
    classifiers=[
        'Environment :: Web Environment',
        'Framework :: Django',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: BSD License', # example license
        'Operating System :: OS Independent',
        'Programming Language :: Python',
        # Replace these appropriately if you are stuck on Python 2.
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.2',
        'Programming Language :: Python :: 3.3',
        'Programming Language :: Python :: 3.4',
        'Topic :: Internet :: WWW/HTTP',
        'Topic :: Internet :: WWW/HTTP :: Dynamic Content',
    ],
    install_requires=['celery'],
    dependency_links = [
        "https://pypi.python.org/packages/source/c/celery/celery-3.1.17.tar.gz#md5=e37f5d93b960bf68fc26c1325f30fd16"
    ],
)
