from .models import StackExchangeUser

class StackOverflow(object):
	def __call__(self):
		return 'site=stackoverflow'

class AppKey(object):
	def __call__(self):
		return 'key=U4DMV*8nvpm3EOpvf69Rxw(('

class AccessToken(object):
	""" probably don't need this """
	def __init__(self, user):
		self.user = user
		pass

	def __call__(self):
		return 'access_token=%s' % self.user.access_token


class Resourse(object):
	""" Subclass Resourse to add new callable urls """
	def __init__(self, resourse, requires_auth, qs):
		self.resourse = resourse
		self.requires_auth = requires_auth
		self.qs = qs
		
	def __call__(self, access_token=None):
		str = ''
		if self.requires_auth:
			if access_token == None:
				raise Exception('Access Token Required for Resourse %s' % self.resourse)
			else:
				str += '&' + access_token()
		return self.__concat_qs__() + str

	def __concat_qs__(self):
		str = ''
		for key, value in self.qs.items():
			str += key + '=' + value + '&'
		return str[:-1]

class Me(Resourse):
	""" Me reprsents the /me resourse """
	def __init__(self, order='desc', sort='reputation', filter='default', **kwargs):
	    qs = {'order': order, 'sort': sort, 'filter': filter}
	    for k, v in kwargs.items():
	        qs[k] = v
	    super(Me, self).__init__('me', True, qs)

class MyNewQuestions(Resourse):
	""" MyNewQuestions represents the questions/unanswered/my-tags resourse """
	def __init__(self, fromdate, order='desc', sort='creation', filter='default', **kwargs):
		qs = {'fromdate': fromdate, 'order': order, 'sort': sort, 'filter': filter}
		for k, v in kwargs.items():
			qs[k] = v
		super(MyNewQuestions, self).__init__('questions/unanswered/my-tags', True, qs)

class URL(object):
	def __init__(self, site, apikey, apiversion='2.2'):
		self.site = site
		self.apiversion = apiversion
		self.appkey = apikey

	def __call__(self, resourse, access_token):
		query_str = [self.appkey(), self.site(), resourse(access_token)]
		return '/%s/%s?%s' % (self.apiversion, resourse.resourse, '&'.join(query_str))
		
		
	